0

First time emacs user trying to install "evil mode". I'm attempting to follow the instructions at https://blog.aaronbieber.com/2015/05/24/from-vim-to-emacs-in-fourteen-days.html.

I installed emacs on Ubuntu 18.04 with sudo apt install emacs. In ~/.emacs.d/.emacs I have:

(require 'package)
(add-to-list 'package-archives '("org" . "http://orgmode.org/elpa/"))
(add-to-list 'package-archives '("melpa" . "http://melpa.org/packages/"))
(add-to-list 'package-archives '("melpa-stable" . "http://stable.melpa.org/packages/"))
(setq package-enable-at-startup nil)
(package-initialize) 
(require 'evil)
(evil-mode t)

After running M-x package-list-packages I see Package refresh done but neither evil nor evil-mode are in the list and M-x package-install RET evil returns [No match]

What am I missing?

1

Solved it. The problem was that I had .emacs in ~/.emacs.d rather than in ~/.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.